org.eclipse.osgi.service.resolver

## Class StateWire

- java.lang.Object
- - org.eclipse.osgi.service.resolver.StateWire

    public class StateWire
    extends Object

A state wire represents a decision made by a resolver to wire a requirement to a capability. There are 4 parts to a state wire.

- The requirement which may have been specified by a host bundle or one of its attached fragments.
- The host bundle which is associated with the requirement. There are cases where the host bundle may not be the same as the bundle which declared the requirement. For example, if a fragment specifies additional requirements.
- The capability which may have been specified by a host bundle or one of its attached fragments.
- The host bundle which is associated with the capability. There are cases where the host bundle may not be the same as the bundle which declared the capability. For example, if a fragment specifies additional capabilities.

Since:
  3.7

### Constructor Summary

Constructors
Constructor and Description
`StateWire(BundleDescription requirementHost, VersionConstraint declaredRequirement, BundleDescription capabilityHost, BaseDescription declaredCapability)` Constructs a new state wire.

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleDescription` `getCapabilityHost()` gets the capability host.
`BaseDescription` `getDeclaredCapability()` gets the declared capability.
`VersionConstraint` `getDeclaredRequirement()` Gets the declared requirement.
`BundleDescription` `getRequirementHost()` Gets the requirement host.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StateWire

    public StateWire(BundleDescription requirementHost,
                     VersionConstraint declaredRequirement,
                     BundleDescription capabilityHost,
                     BaseDescription declaredCapability)

Constructs a new state wire.

Parameters:
  `requirementHost` - the bundle hosting the requirement.
  `declaredRequirement` - the declared requirement. The bundle declaring the requirement may be different from the requirement host.
  `capabilityHost` - the bundle hosting the capability.
  `declaredCapability` - the declared capability. The bundle declaring the capability may be different from the capability host.

### Method Detail

#### getRequirementHost

    public BundleDescription getRequirementHost()

Gets the requirement host.

Returns:
  the requirement host.

#### getDeclaredRequirement

    public VersionConstraint getDeclaredRequirement()

Gets the declared requirement.

Returns:
  the declared requirement.

#### getCapabilityHost

    public BundleDescription getCapabilityHost()

gets the capability host.

Returns:
  the capability host.

#### getDeclaredCapability

    public BaseDescription getDeclaredCapability()

gets the declared capability.

Returns:
  the declared capability.